Package ghidra.debug.api.modules

# Interface SectionMapProposal.SectionMapEntry

All Superinterfaces:
  `MapEntry<TraceSection,MemoryBlock>`

Enclosing interface:
  `SectionMapProposal`

public static interface SectionMapProposal.SectionMapEntry extends MapEntry<TraceSection,MemoryBlock>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MemoryBlock`
  `getBlock()`
  Get the matched memory block
  `TraceModule`
  `getModule()`
  Get the module containing the section
  `String`
  `getModuleName()`
  Get the name of the module containing the section (may depend on snap)
  `TraceSection`
  `getSection()`
  Get the section
  `String`
  `getSectionName()`
  Get the section name (may depend on the snap)
  `Address`
  `getSectionStart()`
  Get the start address of the section (may depend on the snap)
  `void`
  `setBlock(Program program, MemoryBlock block)`
  Set the matched memory block

  ### Methods inherited from interface ghidra.debug.api.modules.MapEntry

  `getFromLifespan, getFromObject, getFromRange, getFromTrace, getFromTraceLocation, getMappingLength, getToObject, getToProgram, getToProgramLocation, getToRange`

- ## Method Details

  - ### getSection

    TraceSection getSection()
    Get the section
    Returns:
      the section

  - ### getSectionName

    String getSectionName()
    Get the section name (may depend on the snap)
    Returns:
      the name

  - ### getSectionStart

    Address getSectionStart()
    Get the start address of the section (may depend on the snap)
    Returns:
      the start address

  - ### getModule

    TraceModule getModule()
    Get the module containing the section
    Returns:
      the module

  - ### getModuleName

    String getModuleName()
    Get the name of the module containing the section (may depend on snap)
    Returns:
      the name

  - ### getBlock

    MemoryBlock getBlock()
    Get the matched memory block
    Returns:
      the block

  - ### setBlock

    void setBlock(Program program, MemoryBlock block)
    Set the matched memory block
    Parameters:
      `program` - the program containing the block
      `block` - the block